Domains
Delete multiple domains
POST
Delete multiple domains in one operation. It allows for a maximum of 500 domains.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"X-Request-Id?stringA unique identifier for the request
Domains
application/json- body
names*array<>A list of puny-coded domain names as an array
Range
value <= 500Returns an aggregate of each individual domain operation result. Results are keyed by domain name and provides errors and HTTP response code per operation.
application/json- response
[key: string]?curl -X POST 'https://api.afternic.com/v3/aftermarket/customers/my/domains/$each/delete' \ -H 'Content-Type: application/json' \ -d '{ "names": [ "example.com", "example2.com", "example3.com" ]}'Example Response
{ "example1.com": { "code": 200 }, "example2.com": { "code": 422, "error": { "code": "VALIDATION_ERROR", "message": "Unable to process request due to validation errors" } }}